For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all customers
      • POSTCreate a customer
      • PUTUpdate or create a customer (upsert)
      • GETGet a customer by ID or reference
      • DELDelete a customer by ID or reference
      • PATCHUpdate a customer by ID or reference
      • GETGet a customer its entitlements
      • POSTActivate a customer
      • POSTDeprecate a customer
      • POSTArchive a customer
      • POSTForget a customer
      • POSTGet the balance of all wallets of a customer
      • POSTSearch customers
      • POSTValidate tax id values
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APICustomers

Validate tax id values

POST
/v:version/customers/validate-tax-id
POST
/v:version/customers/validate-tax-id
$curl -X POST https://test.api.solvimon.com/v1/customers/validate-tax-id \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "type": "ORGANIZATION",
> "organization": {
> "legal_name": "SuperStore GmbH",
> "tax_ids": [
> {
> "id": "NL123456789B01",
> "type": "GENERIC_TAX_ID"
> }
> ],
> "registered_address": {
> "country": "NL"
> }
> }
>}'
1{
2 "data": [
3 {
4 "id": "string",
5 "validation_date": "string",
6 "source": "string",
7 "valid": "VALID",
8 "message": "string"
9 }
10 ]
11}
Requires the CUSTOMER.CREATE permission.
Was this page helpful?
Previous

Get all custom fields

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
typeenumRequired
The type of customer entity.
Allowed values:
parent_customer_idstring or nullOptional
The parent of the customer. Only returned when there is a single parent.
parent_customer_idslist of strings or nullOptional
A list of parents of the customer. Will also be returned if there is a single parent.
referencestringOptionalformat: "^\S+$"0-256 characters
A custom reference assigned to the customer.
statusenum or nullOptional
Allowed values:
timezonestring or nullOptional
emailstringOptionalformat: "(\S*@\S*\..*)"0-256 characters
The email of the customer.
notification_preferenceslist of objects or nullOptional

Notification preferences for customer-related communications.

localestring or nullOptional

The locale of the customer. Format is language-country (like en-US).

individualobjectOptional
Additional description of the individual customer type.
organizationobjectOptional
Additional description of the organization customer type.
custom_fieldslist of objects or nullOptional
processing_onlyboolean or nullOptional
pricing_plan_subscription_selectorobjectOptional
Settings to influence dynamically the subscription to use for the ingest data.
linked_integrationslist of objects or nullOptional
roleslist of enums or nullOptional
Allowed values:
seller_detailsobjectOptional

Response

OK
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error